# Generated by Django 3.1 on 2020-11-16 13:25

from django.db import migrations, models
import django.db.models.deletion
import unicodex.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('street', models.CharField(max_length=200)),
                ('number', models.IntegerField()),
                ('zip_code', models.CharField(max_length=12)),
                ('city', models.CharField(max_length=200)),
                ('country', models.CharField(max_length=200)),
                ('image', models.ImageField(max_length=32768, upload_to=unicodex.models.Address.address_path)),
            ],
            options={
                'verbose_name_plural': 'Addresses',
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('logo', models.ImageField(max_length=32768, upload_to=unicodex.models.Company.logo_path)),
                ('address', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='unicodex.address')),
                ('address_set', models.ManyToManyField(related_name='address_set', to='unicodex.Address')),
            ],
            options={
                'verbose_name_plural': 'Companies',
            },
        ),
        migrations.CreateModel(
            name='CompanyImages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(max_length=32768, upload_to=unicodex.models.CompanyImages.image_path)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=200)),
                ('infix', models.CharField(max_length=1)),
                ('last_name', models.CharField(max_length=200)),
                ('phone_number', models.CharField(max_length=15)),
                ('email', models.EmailField(max_length=254)),
                ('image', models.ImageField(max_length=32768, upload_to=unicodex.models.Person.person_path)),
                ('address', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='unicodex.address')),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='unicodex.company')),
            ],
            options={
                'verbose_name_plural': 'Persons',
            },
        ),
        migrations.AddField(
            model_name='company',
            name='image_set',
            field=models.ManyToManyField(related_name='image_set', to='unicodex.CompanyImages'),
        ),
    ]
