from rest_framework_json_api import serializers
from .models import Address, Company, CompanyImages, Person

class AddressSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Address
        fields = ('street', 'number', 'zip_code', 'city', 'country', 'image')

class CompanyImagesSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = CompanyImages
        fields = ('image')

class CompanySerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Company
        fields = ('name', 'address', 'address_set', 'person_set', 'logo', 'image_set')

class PersonSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Person
        fields = ('first_name', 'infix', 'last_name', 'phone_number', 'email', 'address', 'company', 'image')
