#!/usr/bin/python

from django.conf import settings
from django.contrib import admin
from django.urls import path, include, re_path
from django.views.static import serve
from rest_framework import routers
from rest_framework.authtoken import views
from .views import AddressViewSet, CompanyViewSet, PersonViewSet, Login, Logout

router = routers.DefaultRouter()
router.register(r'companies', CompanyViewSet)
router.register(r'persons', PersonViewSet)
router.register(r'addresses', AddressViewSet)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/1.0/', include(router.urls)),
    path('api_generate_token/', views.obtain_auth_token),
    path('',Login.as_view(), name = 'login'),
    path('login/',Login.as_view(), name = 'login'),
    path('logout/', Logout.as_view()),
]


if settings.DEBUG:
    urlpatterns += [
        re_path(
            r"^media/(?P<path>.*)$",
            serve,
            {"document_root": settings.MEDIA_ROOT, "show_indexes": True},
        )
    ]
